Bug 60760 - -O2 -mcpu=i586 generates the wrong code.
Summary: -O2 -mcpu=i586 generates the wrong code.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-06 02:46 UTC by hjl
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-06 02:47:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A text case (1.10 KB, text/plain)
2002-03-06 02:47 UTC, hjl
no flags Details

Description hjl 2002-03-06 02:46:35 UTC
# gcc -O2 -march=i586 bad.c -o bad
# ./bad
zsh: 28836 segmentation fault  ./bad

Comment 1 hjl 2002-03-06 02:47:15 UTC
Created attachment 47540 [details]
A text case

Comment 2 Jakub Jelinek 2002-03-18 17:20:45 UTC
Should be fixed in gcc{,3}-3.1-0.23* and above


Note You need to log in before you can comment on or make changes to this bug.